Get the open tasks

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/tasks/open-tasks

Get the open tasks that match the filters, page by page, with statistics. The tasks are the tasks of the open projects of your teams. An administrator gets the tasks of all the open projects. The route skips the concept tasks if you do not give task_type_id. Clients and vendors cannot use this route.

Query parameters

  • project_id string(uuid)

    Get only the tasks of this project

  • task_status_id string(uuid)

    Get only the tasks with this task status

  • task_type_id string(uuid)

    Get only the tasks of this task type

  • person_id string(uuid)

    Get only the tasks of these assignees. Give a comma-separated list, or unassigned for the tasks without assignee.

  • start_date string(date)

    Get only the tasks that start on this date or after

  • due_date string(date)

    Get only the tasks that end on this date or before

  • priority integer

    Get only the tasks with this priority

  • page integer

    Page to get

    Default value is 1.

  • limit integer

    Number of tasks in a page. The default value is 100.

    Default value is 100.

  • studio_id string(uuid)

    Get only the tasks of the assignees of this studio

  • department_id string(uuid)

    Get only the tasks of the assignees of this department

  • group_by string

    Group the statistics on this field

Responses

  • 200 application/json

    A page of tasks with the statistics

    Hide response attributes Show response attributes object
    • data array[object]

      List of tasks

    • stats object
      Hide stats attributes Show stats attributes object
      • total integer

        Total number of tasks

      • total_duration integer

        Total duration of tasks in minutes

      • total_estimation integer

        Total estimation of tasks in minutes

      • status object

        Number of tasks per status

    • limit integer

      Number of tasks per page

    • page integer

      Page number

    • is_more boolean

      True if there are more tasks to retrieve

  • 400

    A filter is not valid

  • 403

    You are a client or a vendor on the given project, or globally when you give no project; or you are not in the team of the given project

GET /data/tasks/open-tasks
curl -X GET "http://api.example.com/data/tasks/open-tasks?project_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=a24a6ea4-ce75-4665-a070-57453082c25&task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&person_id=a24a6ea4-ce75-4665-a070-57453082c25&start_date=2022-07-12&due_date=2022-07-12&priority=3&page=1&limit=100" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/open-tasks"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "start_date": "2022-07-12",
    "due_date": "2022-07-12",
    "priority": 3,
    "page": 1,
    "limit": 100
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "data": [
    {}
  ],
  "stats": {
    "total": 42,
    "total_duration": 42,
    "total_estimation": 42,
    "status": {}
  },
  "limit": 42,
  "page": 42,
  "is_more": true
}